.\"  ProcMeter - A system monitoring program for Linux - Version 3.6.
.\"
.\"  Manual page for ProcMeter modules.
.\"
.\"  Written by Andrew M. Bishop
.\"
.\"  This file Copyright 1998-2012 Andrew M. Bishop
.\"  It may be distributed under the GNU Public License, version 2, or
.\"  any higher version.  See section COPYING of the GNU Public license
.\"  for conditions under which this file may be redistributed.
.\"
.TH PROCMETER3_MODULES 1 "January 22, 2012"

.SH NAME

procmeter3_modules \- The modules that are used by the procmeter3,
procmeter3-xaw, gprocmeter3, procmeter3-gtk1, procmeter3-gtk2, procmeter3-gtk3,
procmeter3-log and procmeter3-lcd programs.

.SH DESCRIPTION

The ProcMeter3 programs provide a framework that allows displaying of
information in various formats.  The collection of the data to be displayed is
performed by a set of loadable modules.

.SH MODULES

The modules that are provided with the program are the following:
.TP
.BR ACPI
Advanced Configuration and Power Interface information. These outputs are
only available if you have enabled ACPI in the Linux kernel and you have
the appropriate hardware.  ACPI can report various information about a
system's battery, and may also have thermal outputs available.
.TP
.BR APM
Advanced Power Management information.  These outputs are only available if you
have configured the Linux kernel to have the APM feature and you have the
appropriate hardware.  The outputs can tell you the amount of time remaining and
the state of charge of the battery.
.TP
.BR Battery
Battery information from /sys/class/power_supply/ which is the new replacement
for battery information from ACPI or APM and contains more information about
the battery.
.TP
.BR Biff
Monitors the e-mail inbox (in
.B /var/spool/mail/<username>
or
.B /var/mail/<username>
) and indicates the number of e-mails that are waiting and the size of the
inbox.  The
.I options
parameter in the
.B .procmeterrc
file can be used to specify an alternate filename to use for the inbox.
.TP
.BR CPUInfo
Information about the CPUs in the system, currently only the CPU speed in MHz.
.TP
.BR Date_Time
The current date and time and the amount of time since the system was last
booted.  Different outputs are available that allow the format of the date and
time information to be changed.  For the time outputs the
.I options
parameter in the
.B .procmeterrc
file can be set to 12 to indicate that a 12 hour format with AM/PM is to be
used.
.TP
.BR DiskUsage
Shows the percentage of the disk that is used and the amount of free space for
each of the local disks that it finds are mounted or can be mounted when the
program starts.  Extra disks can be passed as options using the
.I options
parameter in the
.B .procmeterrc
file to contain a space separated list of mount points.
.TP
.BR FanSpeed
Information from hardware sensors for fan speed (requires libsensors library
installed but does read sensors.conf file for system customisation).  The
.I options
parameter in the
.B .procmeterrc
file can be used to specify an alternate sensors configuration filename to use
instead of the default.  If this is used then it must be used in each of the
FanSpeed, Temperature and Voltage modules.
.TP
.BR LogFile
Monitors the size and number of lines and the rate of increase of the size or
number of lines in a set of log files.  The
.I options
parameter in the
.B .procmeterrc
file contains a space separated list of log file names.
.TP
.BR Longrun
For systems with the Transmeta Crueso processor, information about longrun.
Will not work unless the kernel is compiled with CPUID support, and
/dev/cpu/0/cpuid must be readable by ProcMeter. (Allow regular users to
access the cpuid device at your own risk!)
.TP
.BR Memory
The amount of memory that is used for programs, buffers, cache and the amount
that is free.  This is the same information that is available from the
.B free
program, but is available here as a graph, bar or as text.
.TP
.BR Network
The network devices and the amount of traffic on each of them.  It will
automatically pick up available devices when it starts.  To specify others use
the
.I options
parameter in the
.B .procmeterrc
configuration file which is a space separated list of device names.
.TP
.BR ProcMeter
Information about the procmeter program itself.
.TP
.BR Processes
The load average and the number of processes running and starting.
.TP
.BR Sensors
Information from hardware sensors for temperature and fan speed (simple
version with fixed scaling).
.TP
.BR Stat-CPU
More detailed statistics about individual CPU usage including individual CPU
usage for SMP machines.
.TP
.BR Stat-Disk
More detailed statistics about individual disk usage read and write.  For older
Linux kernels (before version 2.4) there is only support for up to 4 disks (this
limit is set by the kernel and not by ProcMeter).  For version 2.4 or later
kernels the limit is removed and the disk names are picked up when the program
starts.  For version 2.6 or later kernels individual partitions are available.
To force other disks to be listed use the
.I options
parameter in the
.B .procmeterrc
configuration file which is a space separated list of device names
(e.g. /dev/fd0).
.TP
.BR Stat-Intr
More detailed statistics about individual interrupts including support for up to
256 interrupts.
If fewer interrupts are wanted then the
.I options
parameter in the
.B .procmeterrc
configuration file can be set to the maximum number to display.
.TP
.BR Statistics
Low level system statistics.  For example CPU usage, context switches,
interrupts, disk usage (before kernel 2.6), swapping and paging (before kernel
2.6).
.TP
.BR Temperature
Information from hardware sensors for temperature (requires libsensors library
installed but does read sensors.conf file for system customisation).  The
.I options
parameter in the
.B .procmeterrc
file can be used to specify an alternate sensors configuration filename to use
instead of the default.  If this is used then it must be used in each of the
FanSpeed, Temperature and Voltage modules.
.TP
.BR Uname
The system information, hostname and Linux kernel version, the same as the
output of the
.B uname
program.
.TP
.BR VM_Statistics
Low level system statistics about virtual memory (swapping and paging) for kernel
version 2.6 where the information has moved from the Statistics section.
.TP
.BR Voltage
Information from hardware sensors for voltages (requires libsensors library
installed but does read sensors.conf file for system customisation).  The
.I options
parameter in the
.B .procmeterrc
file can be used to specify an alternate sensors configuration filename to use
instead of the default.  If this is used then it must be used in each of the
FanSpeed, Temperature and Voltage modules.
.TP
.BR Wireless
Information about wireless network devices. It will
automatically pick up available devices when it starts. To specify others
use the
.I options
parameter in the 
.B .procmeterrc 
configuration file which is a space separated list of device names.

.SH SEE ALSO

procmeter3(1), procmeter3-xaw(1), gprocmeter3(1), procmeter3-gtk1(1),
procmeter3-gtk2(1), procmeter3-gtk3(1), procmeter3-log(1), procmeter3-lcd(1),
procmeterrc(5).
.LP
biff(1) free(1) uname(1)

.SH AUTHOR

Andrew M. Bishop (c) 2007-2012
